function Steady_1=Steady_state_1(Z)

%% define the parameters(it is already defined in .mod file)
%load Parameters_1.mat;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% unpack the variables
%%%Lagrangians *******6
lambda_P=Z(1) ;lambda_I=Z(2); p_h=Z(3); l_I=Z(4);
%options = optimset('Diagnostics','off', 'Display','off');
%% equations
%load just_for_check_0_BR
load Parameters
%{

beta_P = beta_P_0 ;
beta_I = beta_I_0 ;
beta_B = beta_B_0 ;
varphi_h = varphi_h_0 ; 
varphi_l = varphi_l_0 ;
alpha_k = alpha_0;
theta_b = theta_b_0;
sigma = sigma_0 ;
delta_k = delta_k_0;
theta_m = theta_m_0 ;
varrho = varrho_0 ;
xi= xi_0 ;
%}
p_k=1 ;
xi= xi_bar ;
  % Lender respect to D 6
r = fsolve(@(r)    1 - beta_P *  (1) * (1+r), 0.1, options); %6 r=0.04 beta_P=0.9615

% Lagrangian 1-2
C_P = 1/ lambda_P; %1
C_I = 1/ lambda_I; %2

%Arbitrage
r_b = fsolve(@(r_b)  (xi + (1- delta_k)* p_k) -  (1+r_b)* p_k , 0.1, options);   %36


  % Lender respect to K^h 7
K_h  = ((beta_P * (1) * (p_k * (1- delta_k)+ xi ))-p_k)/alpha_k  ;  %7
f_k= alpha_k/ 2 * (K_h)^2; %32
f_k_1= alpha_k * K_h;% 33
%FOCs
  % Lender respect to h^p 5
h_P =  varphi_h/ (lambda_P * (1-beta_P) * p_h) ;%5

  % borrower respect to M 10
%l_m_l_I=  (lambda_m/lambda_I)
l_m_l_I = 1 -  beta_I *( 1) * (1+r_b); %10
  % borrower respect to h^I 9
h_I =  varphi_h/ (lambda_I * ((1- (l_m_l_I) * theta_m )- beta_I) * p_h)  ; %9

% colateral constraint 31
M = theta_m * p_h * h_I ; %31
  % Lender respect to l^P 8

% q 19-20
q_k =  0 ; %19
s =  r_b - r ; %20


   % internal leverage ratio 22-23
%N_1_N = 1;
%phi_d =  9  ;

N_1_N =@(phi_d) (s * phi_d + (1+r_b)) ; %24
% Omega 21
Omega =@(v) beta_B * ((1- sigma)+ sigma * v ) ; %21
MN1=@(v,phi_d)  v - theta_b *(phi_d + 1) ; %24
MN2=@(v,phi_d)  v  - Omega(v) * N_1_N(phi_d);
MN=@(v,phi_d) [MN1(v,phi_d),MN2(v,phi_d)];
[X,fval_ZX] = fsolve(@(x)    MN(x(1),x(2))  , [0.1,100], options);
%Omega = v / N_1_N(v);
v=X(1);
phi_d=X(2);
fval_ZX;

phi = phi_d + 1 ;

%A =@(N) phi * N ;
%K_b =@(N) (A(N) - M)/ p_k; % 
%K =@(N) K_b(N) + K_h ;
   % new networth 13
%N_n =@(N) varrho * p_k * K(N) ; % ;%varrho; %13
%D   =@(N)  phi_d * N ;%17 
%N_l =@(N)(1+r_b)* A(N) - (1+r) * D(N) ;
    % Total networth 14
%N =  varrho * p_k * (-M + K_h)/(((1 -(sigma * ((1+r_b)* phi - (1+r)* phi_d))) / (1-sigma))- varrho * p_k * (phi)); %14
%N = fsolve(@(N)   N= (sigma *((1+r_b)* (phi * N) - (1+r) * (phi_d * N ) ) + (1- sigma) * (varrho * p_k * (phi * N - M + K_h))), 0.1, options);
N = ((1- sigma) * N_n)/(1- sigma *((1+r_b)* phi - (1+r) * phi_d )) ;
A = phi * N ;
K_b = (A - M)/ p_k; % 
K =  K_b  + K_h ;
   % new networth 13
%N_n =  varrho * p_k * K  ; % ;%varrho; %13
D   =   phi_d * N ;%17 
 

   % Bnak consumption  16
N_l= (1+r_b)* (A) - (1+r) * D ;
C_B = (1- sigma) * N_l ; %16

%Market clearing 25-29
% capital producer 34-35
i_k = K-(1-delta_k)*K ; %34


CT = C_P + C_I + C_B; %29
Y_consumption = f_k + CT  + i_k;%30

l_P=0.30;
w_P =  varphi_l/((1-l_P) * lambda_P * (1+xi)) ; %8
  % borrower respect to l^I 11
w_I =  varphi_l/((1-l_I) * lambda_I * (1+xi)) ; %11
W = (Y_consumption - xi * K)/(1+xi) ;
%Y_out = xi * K + (1+xi) * (w_P + w_I);%28

H=1;  %26


%Houshold budget constraints
  %lender budget 3
Eq_1 = (C_P + D + p_h * (h_P-h_P )+ p_k* (K_h-(1-delta_k)* K_h ) + f_k +(1-sigma) * N_n)-( (1+xi) * w_P * l_P + (1+r) *D  + xi* K_h  ) ; %3.
  %borrower budget 4
Eq_2 = (C_I + p_h * (h_I-h_I ) + (1+r_b)*M ) - ( (1+xi) * w_I* l_I + M ); %4
%H=h_P+h_I; %25
Eq_3=  H - (h_P+h_I);

Eq_4= W - (w_P * l_P + w_I * l_I) ;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*****************************

   %% assign the value to the function
    Steady_1=[Eq_1,Eq_2,Eq_3,Eq_4];
   