%clc 
%clear all
%load Parameters_1.mat;% add this par when below is deleted

%% this part should be added if it is run without .mod file

%%  This part should be deleted when .mod file is run, becasue it is already defined in .mod file
%{
%define the parameters 
%clc;
%clear all
%%%beta
%global xi_0 beta_P_0 beta_I_0 beta_B_0 delta_k theta_m_0 theta_b varrho sigma
%global varphi_h_0 varphi_l_0 alpha_0 
p_k=1 ;
beta_P = 0.961538462 ;
beta_I = 0.95446361936 ;
beta_B = 0.9606147945 ;
varphi_h = 0.337278099 ; 
varphi_l = 1.5754225436 ;
alpha_k = 0.00516956 ;
theta_b = 0.33; 
sigma = 0.877 ; % N_n=0.001
delta_k = 22/600 ;
theta_m = 0.6976744; % M=1.56
varrho = 1.7965e-04; 
xi = 0.086666666 ;
options = optimset('Diagnostics','off', 'Display','off');
save Parameters
%}
%{
p_k=1 ;
beta_P = 0.961538462 ;
beta_I = 0.95446361936 ;
beta_B = 0.9606147945 ;
varphi_h = 0.337278099 ; 
varphi_l = 1.5754225436 ;
alpha_k = 0.00516956 ;
theta_b = 0.0750000; 
sigma = 0.877 ; % N_n=0.001
delta_k = 22/600 ;
theta_m = 0.6976744; % M=1.56
varrho = 1.6992e-04 ;
xi = 0.086666666 ;
%}
%% initial values
 % There need only the initial value of consumption. The program will
 % calculate initial value for other variables.
%{
p_k_0=1 ;
beta_P_0 = 0.961538462 ;
beta_I_0 = 0.95446361936 ;
beta_B_0 = 0.9606147945 ;
varphi_h_0 = 0.337278099 ; 
varphi_l_0 = 1.5754225436 ;
alpha_0 = 0.00516956 ;
theta_b_0 = 0.0750000; 
sigma_0 = 0.877 ; % N_n=0.001
delta_k_0 = 22/600 ;
theta_m_0 = 0.6976744; % M=1.56
varrho_0 = 1.6992e-04 ;
xi_0 = 0.086666666 ;
options = optimset('Diagnostics','off', 'Display','off');
%load('just_for_check_0_Dyna.mat')
options = optimset('Diagnostics','off', 'Display','off');
%
C_0 = 0.65;
C_P_0 = 0.52*C_0;
C_I_0 = 0.48*C_0;
%C_B_0 = 0.03*C_0;

lambda_P_0 = 1/C_P_0; 
lambda_I_0 = 1/C_I_0; 

K_0 = 6;
p_k_0 = 1 ;
M_0 = 1.56;
p_h_0 = 5.2;
h_P_0 = 0.57/1 ; %h_P/H
h_I_0 = 0.43/1 ;  %h_I/H
D_0 = 0.67 ; % total liabilities
r_0 = 0.04 ;
r_b_0 = 0.05 ;
K_h_0 = 0.31*K_0 ;
K_b_0 = 0.69*K_0 ;
phi_0 = 10;
l_P_0 = 0.3;
l_I_0 = 0.3;

  % Lender respect to D 6
beta_P_0 = fsolve(@(beta_P)    1 - beta_P *  (1) * (1+r_0), 0.1, options); %6 
  % Lender respect to h^p 5
varphi_h_0 = fsolve(@(varphi_h)  h_P_0 - varphi_h/ (lambda_P_0 * (1-beta_P_0) * p_h_0 ) , 0.1, options);%5

xi_0 = fsolve(@(xi_0)  (xi_0 + (1- delta_k_0)* p_k_0) -  (1+ r_b_0)* p_k_0 , 0.1, options);   %36 


alpha_0  =fsolve(@(alpha) alpha * K_h_0 -((beta_P_0 * (1) * (p_k_0 * (1- delta_k_0)+ xi_0 ))-p_k_0), 0.1, options);  %7
f_k_0= (alpha_0 / 2) * (K_h_0)^2; %32
f_k_1_0= alpha_0 * K_h_0;% 33
 % borrower respect to M 10
l_m_l_I =@(beta_I)  1 -  beta_I *( 1) * (1+r_b_0 ); %10%l_m_l_I=  (lambda_m/lambda_I)
% colateral constraint 31
theta_m_0 = M_0 /(p_h_0  * h_I_0 )  ; %31
  % borrower respect to h^I 9
beta_I_0 = fsolve(@(beta_I) (1-  l_m_l_I(beta_I)  * theta_m_0 ) * p_h_0 -(  varphi_h_0/ (lambda_I_0 * h_I_0) + beta_I * (1) * p_h_0), 0.1, options); %9

  % q 19-20
q_k_0 =  0 ; %19
s_0 =  r_b_0 - r_0 ; %20

A_0 = p_k_0 * K_b_0 + M_0;
N_0 = (A_0)/phi_0   ; % 


   %%% budget constraint 15
D_0 = A_0 - N_0 ; %15
phi_d_0   =   D_0/ N_0 ;%1b7
K_0 = K_b_0 + K_h_0; %27

varrho_0 = fsolve(@(varrho)    N_0 -( sigma_0 * ((1+r_b_0)* (A_0) - (1+r_0)* D_0 ) + (1-sigma_0) * varrho *p_k_0*K_0) , 0.1, options); %14
%varrho_0 =  1.7654e-04;

N_n_0 = varrho_0*p_k_0*K_0;


  % tobins Q 24
theta_b_0 = 0.33;
v_0 = theta_b_0 * ( phi_d_0 + 1) ; %24
N_1_N_0 = (s_0 * phi_d_0 + (1+r_b_0)) ; %24
%N_1_N_0 = 1 ;
   % Omega 21
Omega =@(beta_B) beta_B * ((1- sigma_0)+ sigma_0 * v_0 ); %21
%v = Omega  ; %23
beta_B_0 = fsolve(@(beta_B)    v_0  - Omega(beta_B) * N_1_N_0  , 0.1, options);
%Omega_0 = v_0 ; %21

N_l_0= (1+r_b_0)* (A_0)- (1+r_0) * D_0 ;
C_B_0 = (1- sigma_0) * N_l_0 ; %16


% capital producer 34-35
i_k_0 = K_0 - (1-delta_k_0)*K_0 ; %34


CT_0 = C_P_0 + C_I_0 + C_B_0;
Y_consumption = f_k_0 + CT_0 + i_k_0;%30

Y_0 = Y_consumption ;
W_0 = (Y_0 - xi_0 * K_0)/(1+xi_0) ;%28 % W= w_P l_P +w_I l_I

MN1 =@(w_I,w_P,varphi_l)   w_P  -  varphi_l/((1-l_P_0) * lambda_P_0 * (1+xi_0)) ; %8
MN2 =@(w_I,w_P,varphi_l)   w_I  -  varphi_l/((1-l_I_0) * lambda_I_0 * (1+xi_0)) ; %11
MN3 =@(w_I,w_P,varphi_l)   w_P * l_P_0 + w_I * l_I_0 - W_0;
MN  =@(w_I,w_P,varphi_l) [MN1(w_I,w_P,varphi_l),MN2(w_I,w_P,varphi_l),MN3(w_I,w_P,varphi_l)];
[MV,fval_w] = fsolve(@(x) MN(x(1),x(2),x(3)),[0.1,0.1,0.1],options);
w_I_0 = MV(1);
w_P_0 = MV(2);
varphi_l_0 = MV(3);

Eq_1 = (C_P_0 + D_0 + p_k_0* (K_h_0-(1-delta_k_0)* K_h_0 ) + f_k_0 +(1-sigma_0) * N_n_0)-( (1+xi_0) * w_P_0 * l_P_0 + (1+r_0) *D_0  + xi_0* K_h_0  ) ; %3.
Eq_2 = (C_I_0 + (1+r_b_0)*M_0 ) - ( (1+xi_0) * w_I_0* l_I_0 + M_0 );
save ('just_for_check_0_BR', 'lambda_P_0', 'lambda_I_0', 'p_h_0', 'l_I_0','options')
varrho_0 = 1.5e-04 ;
save ('Parameters', 'beta_P_0','beta_I_0','beta_B_0','varphi_h_0','varphi_l_0','alpha_0','theta_m_0','varrho_0','xi_0','delta_k_0','sigma_0','theta_b_0','options')
clear all
%}
%% Pack initial values
load just_for_check_0_BR
load Parameters
Z_0=[lambda_P_0, lambda_I_0, p_h_0, l_I_0]; 
 
%options = optimset('Diagnostics','off', 'Display','off');
fhandle=@Steady_state_1_Dynamic;
[Z,fval_1]=fsolve(fhandle,Z_0,options);
%% assign the result to the variables
%%%Lagrangians *******6
lambda_P=Z(1);lambda_I=Z(2); p_h=Z(3); l_I=Z(4);
%clearvars -except lambda_P lambda_I p_h l_I options
xi= xi_bar ;
p_k=1 ;
%%% equations
%load Parameters
%{
p_k=1 ;
beta_P = beta_P_0 ;
beta_I = beta_I_0 ;
beta_B = beta_B_0 ;
varphi_h = varphi_h_0 ; 
varphi_l = varphi_l_0 ;
alpha_k = alpha_0;
theta_b = theta_b_0;
sigma = sigma_0 ;
delta_k = delta_k_0;
theta_m = theta_m_0 ;
varrho = varrho_0 ;

xi= xi_0 ;
%}
  % Lender respect to D 6
r = fsolve(@(r)    1 - beta_P *  (1) * (1+r), 0.1, options); %6 r=0.04 beta_P=0.9615

% Lagrangian 1-2
C_P = 1/ lambda_P; %1
C_I = 1/ lambda_I; %2

%Arbitrage
r_b = fsolve(@(r_b)  (xi + (1- delta_k)* p_k) -  (1+r_b)* p_k , 0.1, options);   %36


  % Lender respect to K^h 7
K_h  = ((beta_P * (1) * (p_k * (1- delta_k)+ xi ))-p_k)/alpha_k  ;  %7
f_k= alpha_k/ 2 * (K_h)^2; %32
f_k_1= alpha_k * K_h;% 33
%FOCs
  % Lender respect to h^p 5
h_P =  varphi_h/ (lambda_P * (1-beta_P) * p_h) ;%5

  % borrower respect to M 10
%l_m_l_I=  (lambda_m/lambda_I)
l_m_l_I = 1 -  beta_I *( 1) * (1+r_b); %10
lambda_m = l_m_l_I * lambda_I ;
  % borrower respect to h^I 9
h_I =  varphi_h/ (lambda_I * ((1- (l_m_l_I) * theta_m )- beta_I) * p_h)  ; %9

% colateral constraint 31
M = theta_m * p_h * h_I ; %31
  % Lender respect to l^P 8


   
  % q 19-20
q_k =  0 ; %19
s =  r_b - r ; %20


   % internal leverage ratio 22-23
%N_1_N = 1;

% Omega 21
N_1_N =@(phi_d) (s * phi_d + (1+r_b)) ; %24
% Omega 21
Omega =@(v) beta_B * ((1- sigma)+ sigma * v ) ; %21
MN1=@(v,phi_d)  v - theta_b *(phi_d + 1) ; %24
MN2=@(v,phi_d)  v  - Omega(v) * N_1_N(phi_d);
MN=@(v,phi_d) [MN1(v,phi_d),MN2(v,phi_d)];
[X,fval_ZX] = fsolve(@(x)    MN(x(1),x(2))  , [0.1,100], options);

v = X(1);
phi_d = X(2);
Omega = Omega(v);
N_1_N =N_1_N(phi_d);
  % tobins Q 24
%phi_d = v/theta_b - 1  ; %24
phi = phi_d + 1 ;

%A =@(N) phi * N ;
%K_b =@(N) (A(N) - M)/ p_k; % 
%K =@(N) K_b(N) + K_h ;
   % new networth 13
%N_n =@(N) varrho * p_k * K(N) ; % ;%varrho; %13
%D   =@(N)  phi_d * N ;%17 
%N_l =@(N)(1+r_b)* A(N) - (1+r) * D(N) ;
    % Total networth 14
%N =  varrho * p_k * (-M + K_h)/(((1 -(sigma * ((1+r_b)* phi - (1+r)* phi_d))) / (1-sigma))- varrho * p_k * (phi)); %14
%N = fsolve(@(N)   N= (sigma *((1+r_b)* (phi * N) - (1+r) * (phi_d * N ) ) + (1- sigma) * (varrho * p_k * (phi * N - M + K_h))), 0.1, options);
%N= ((1- sigma) * varrho * p_k * (K_h - M))/(1- sigma *((1+r_b)* phi - (1+r) * phi_d ) - (1- sigma) * varrho * p_k * phi) ;
N = ((1- sigma) * N_n)/(1- sigma *((1+r_b)* phi - (1+r) * phi_d )) ;
A = phi * N  ;
K_b = (A - M)/ p_k; % 
K =  K_b  + K_h ;
   % new networth 13
%N_n =  varrho * p_k * K  ; % ;%varrho; %13
D   =   phi_d * N ;%17 
 

   % Bnak consumption  16
N_l= (1+r_b)* (A) - (1+r) * D ;
C_B = (1- sigma) * N_l ; %16

%Market clearing 25-29
% capital producer 34-35
i_k = K-(1-delta_k)*K ; %34

C = C_P + C_I ;
CT = C + C_B; %29
Y_consumtion = f_k + CT  + i_k;%30

l_P=0.30;
w_P =  varphi_l/((1-l_P) * lambda_P * (1+xi)) ; %8
  % borrower respect to l^I 11
w_I =  varphi_l/((1-l_I) * lambda_I * (1+xi)) ; %11

Y_out = xi * K + (1+xi) * (w_P * l_P + w_I * l_I);%28
phi_k = p_k * K_b /N ;
Y=Y_out;
H=1;  %26
z=0;AC_P=0; AC_I=0; AC_B=0; ac_dh=0; ac_kh=0; ac_mh=0;

%results49-58
data_Y=0; data_CT=0; data_i_k=0; data_A=0; data_M=0; data_D=0; data_p_h=0; data_K=0; spread_rb_r=0.01; data_phi=0; 
%% just for checking
%%%%%%%%%%0
lambda_P_0 = lambda_P; lambda_I_0= lambda_I;
C_P_0=C_P; C_I_0=C_I ;C_B_0=C_B ;C_0=C ; CT_0= CT;
h_P_0=h_P ;h_I_0=h_I ;H_0=H;
l_P_0=l_P; l_I_0=l_I;  D_0=D; M_0=M; K_h_0=K_h;K_b_0=K_b; K_0=K;
w_P_0=w_P; w_I_0=w_I; r_0=r; r_b_0=r_b; p_h_0=p_h; p_k_0=p_k; 
N_l_0=N_l; N_n_0=N_n; N_0=N; phi_d_0=phi_d; phi_0=phi;  phi_k_0=phi_k; q_k_0=q_k; s_0=s; v_0=v; Omega_0=Omega;
i_k_0=i_k; f_k_0=f_k ; xi_0=xi; A_0=A;  Y_consumtion_0=Y_consumtion; Y_0=Y_out;

save('just_for_check_0_BR','fval_1','lambda_P_0', 'lambda_I_0','C_P_0', 'C_I_0','C_B_0','C_0','CT_0','h_P_0','h_I_0','H_0',...
'l_P_0', 'l_I_0', 'D_0', 'M_0', 'K_h_0', 'K_b_0', 'K_0','w_P_0', 'w_I_0', 'r_0', 'r_b_0','p_h_0','p_k_0',... 
'N_l_0', 'N_n_0', 'N_0', 'phi_d_0', 'phi_0', 'phi_k_0', 'q_k_0', 's_0', 'v_0', 'Omega_0','i_k_0', 'f_k_0', 'xi_0', 'A_0',...
'Y_consumtion_0','Y_0');
%}
%%%%%%%%%End
%{
lambda_P_end=lambda_P ;lambda_I_end=lambda_I ;lambda_R_end=lambda_R ;
lambda_B_end=lambda_B ;lambda_m_end=lambda_m ;lambda_phi_end=lambda_phi ;
c_P_end=c_P ; c_I_end=c_I ; c_R_end=c_R ; c_B_end=c_B ; 
h_P_end=h_P ; h_I_end=h_I ; h_R_end=h_R ;  p_R_end=p_R ;
k_end=k ; d_end=d ; r_end=r ; r_k_end=r_k ;M_end=M ; r_b_end=r_b ;
a_end=a ;Y_end=Y ; w_P_end=w_P ; w_I_end=w_I ; w_R_end=w_R ;
l_P_end=l_P ; l_I_end=l_I ; l_R_end=l_R ;
C_end=C ; T_end=T ; b_g_end=b_g ; tr_P_end=tr_P ; tr_I_end=tr_I ; tr_R_end=tr_R ; g_end=g ;
h_end=h; tr_end=tr;i_k_end=i_k;Y_f_end=Y_f;i_h_end=i_h; p_h_end=1; p_k_end=1;
save('just_for_check_end_D','lambda_P_end','lambda_I_end','lambda_R_end','lambda_B_end','lambda_m_end','lambda_phi_end','c_P_end', 'c_I_end', 'c_R_end', 'c_B_end',... 
 'h_P_end', 'h_I_end','h_R_end', 'p_R_end','k_end', 'd_end', 'r_end', 'r_k_end','M_end', 'r_b_end','a_end','Y_end', 'w_P_end', 'w_I_end', 'w_R_end','l_P_end',...
 'l_I_end', 'l_R_end','C_end', 'T_end','b_g_end', 'tr_P_end', 'tr_I_end','tr_R_end', 'g_end','tr_end','h_end','i_h_end','Y_f_end','i_k_end','p_h_end','p_k_end','fval_1');
%}
%%%%%%%%%%%% over Y
%

lambda_P_Y = Y * lambda_P; lambda_I_Y= Y * lambda_I;
C_P_Y=C_P/Y; C_I_Y=C_I/Y ;C_B_Y=C_B/Y ;C_Y=C/Y ;
h_P_Y=h_P ;h_I_Y=h_I ;H_Y=H;
l_P_Y=l_P; l_I_Y=l_I;  D_Y=D/Y; M_Y=M/Y; K_h_Y=K_h/Y ;K_b_Y=K_b/Y ; K_Y=K/Y;
w_P_Y=w_P/Y; w_I_Y=w_I/Y; r_Y=r; r_b_Y=r_b; p_h_Y=p_h; p_k_Y=p_k; 
N_l_Y=N_l; N_n_Y=N_n/Y; N_Y=N/Y; phi_d_Y=phi_d; phi_k_Y=phi_k; q_k_Y=q_k; s_Y=s; v_Y=v; Omega_Y=Omega;
i_k_Y=i_k; f_k_Y=f_k/Y ; xi_Y=xi; A_Y=A/Y;  Y_Y=Y/Y; Y_out_Y=Y_out/Y;

save('just_for_check_Y_BR','fval_1','lambda_P_Y', 'lambda_I_Y','C_P_Y', 'C_I_Y','C_B_Y','C_Y','h_P_Y','h_I_Y','H_Y',...
'l_P_Y', 'l_I_Y', 'D_Y', 'M_Y', 'K_h_Y', 'K_b_Y', 'K_Y','w_P_Y', 'w_I_Y', 'r_Y', 'r_b_Y','p_h_Y','p_k_Y',... 
'N_l_Y', 'N_n_Y', 'N_Y', 'phi_d_Y', 'phi_k_Y', 'q_k_Y', 's_Y', 'v_Y', 'Omega_Y','i_k_Y', 'f_k_Y', 'xi_Y', 'A_Y','Y_Y','Y_out_Y');
%}
 %}

 %% peresent values
 %{
 clear all
 clc
 PV_Y=0;
 PV_Yf=0;
 PV_T=0;
load('H_11_deterministic_results.mat');
  load('Parameters_1.mat');
  beta_T=(oo_.endo_simul(7,1)*beta_P+(oo_.endo_simul(8,1)+oo_.endo_simul(9,1))*beta_I+oo_.endo_simul(10,1)*beta_B)/oo_.endo_simul(29,1);
 for i=3:198
     PV_Y=PV_Y+(beta_T^i)*(oo_.endo_simul(39,i)-oo_.endo_simul(39,1));
     PV_Yf=PV_Yf+(beta_T^i)*(oo_.endo_simul(28,i)-oo_.endo_simul(28,1));
     PV_T=PV_T+(beta_T^i)*(oo_.endo_simul(30,i)-oo_.endo_simul(30,1));
  end
 for i=199:1000
     PV_Y=PV_Y+(beta_T^i)*(oo_.endo_simul(39,199)-oo_.endo_simul(39,1));
     PV_Yf=PV_Yf+(beta_T^i)*(oo_.endo_simul(28,199)-oo_.endo_simul(28,1));
     PV_T=PV_T+(beta_T^i)*(oo_.endo_simul(30,199)-oo_.endo_simul(30,1));
 end
 PV_Y=PV_Y/oo_.endo_simul(39,1)
 PV_Yf=PV_Yf/oo_.endo_simul(28,1)
 PV_T=PV_T/oo_.endo_simul(30,1)
 %}
%% Welfare effect
%{
load('just_for_check_0.mat','c_P_0','c_I_0','c_R_0','h_P_0','h_I_0','h_R_0',...
    'l_P_0','l_I_0','l_R_0');
  U_P=(beta_P^0)*(log(c_P_0)+varphi_h* log(h_P_0)-varphi_l*l_P_0^(1+iota)/(1+iota));
  U_I=(beta_I^0)*(log(c_I_0)+varphi_h* log(h_I_0)-varphi_l*l_I_0^(1+iota)/(1+iota));
  U_R=(beta_I^0)*(log(c_R_0)+varphi_h* log(h_R_0)-varphi_l*l_R_0^(1+iota)/(1+iota));
  
  U_P_0=@(lambda_annu_P) (beta_P^0)*((1+lambda_annu_P)*log(c_P_0)+varphi_h* log(h_P_0)-varphi_l*l_P_0^(1+iota)/(1+iota));
  U_I_0=@(lambda_annu_I) (beta_I^0)*((1+lambda_annu_I)*log(c_I_0)+varphi_h* log(h_I_0)-varphi_l*l_I_0^(1+iota)/(1+iota));
  U_R_0=@(lambda_annu_R) (beta_R^0)*((1+lambda_annu_R)*log(c_R_0)+varphi_h* log(h_R_0)-varphi_l*l_R_0^(1+iota)/(1+iota));
  
 for i=1:1000
    
     U_P=U_P+(beta_P^i)*(log(c_P_end)+varphi_h* log(h_P_end)-varphi_l*l_P_end^(1+iota)/(1+iota));
     U_I=U_I+(beta_I^i)*(log(c_I_end)+varphi_h* log(h_I_end)-varphi_l*l_I_end^(1+iota)/(1+iota));
     U_R=U_R+(beta_I^i)*(log(c_R_end)+varphi_h* log(h_R_end)-varphi_l*l_R_end^(1+iota)/(1+iota));
    
     U_P_0=@(lambda_annu_P) U_P_0(lambda_annu_P)+(beta_P^i)*((1+lambda_annu_P)*log(c_P_0)+varphi_h* log(h_P_0)-varphi_l*l_P_0^(1+iota)/(1+iota));
     U_I_0=@(lambda_annu_I) U_I_0(lambda_annu_I)+(beta_I^i)*((1+lambda_annu_I)*log(c_I_0)+varphi_h* log(h_I_0)-varphi_l*l_I_0^(1+iota)/(1+iota));
     U_R_0=@(lambda_annu_R) U_R_0(lambda_annu_R)+(beta_I^i)*((1+lambda_annu_R)*log(c_R_0)+varphi_h* log(h_R_0)-varphi_l*l_R_0^(1+iota)/(1+iota));
 end

 MN_P=@(lambda_annu_P) U_P_0(lambda_annu_P)-U_P;
 MN_I=@(lambda_annu_I) U_I_0(lambda_annu_I)-U_I;
 MN_R=@(lambda_annu_R) U_R_0(lambda_annu_R)-U_R;
 lambda_annu_P=fsolve(@(lambda_annu_P) MN_P(lambda_annu_P),0.1);
 lambda_annu_I=fsolve(@(lambda_annu_I) MN_R(lambda_annu_R),0.1);
 lambda_annu_R=fsolve(@(lambda_annu_R) MN_I(lambda_annu_I),0.1);
 %}
 %% change in variables
 %{
 load('just_for_check_0.mat');
 Y_change=(Y_end-Y_0)/Y_0
 C_change=(C_end-C_0)/C_0
 h_change=(h_end-h_0)/h_0
 b_g_change=(b_g_end-b_g_0)/b_g_0
 tr_change=(tr_end-tr_0)/tr_0;
 M_change=(M_end-M_0)/M_0
 d_change=(d_end-d_0)/d_0
%}

 %{
 c_P_share_L=(1+tau_c)*c_P/((1+tau_c)*c_P+ ( h_P-(1-delta_h)* h_P )+ (  h_R-(1-delta_h)* h_R )+ (k-(1-delta_k)*k )+ d)
 h_P_share_L=h_P/((1+tau_c)*c_P+ ( h_P-(1-delta_h)* h_P )+ (  h_R-(1-delta_h)* h_R )+ (k-(1-delta_k)*k )+ d)
 k_share_L=k/((1+tau_c)*c_P+ ( h_P-(1-delta_h)* h_P )+ (  h_R-(1-delta_h)* h_R )+ (k-(1-delta_k)*k )+ d)
 d_share_L=d/((1+tau_c)*c_P+ ( h_P-(1-delta_h)* h_P )+ (  h_R-(1-delta_h)* h_R )+ (k-(1-delta_k)*k )+ d)

 c_I_share_L=(1+tau_c)*c_I/((1+tau_c)*c_I + ( h_I -(1-delta_h)* h_I )+(1+r_b )*M )
 h_I_share_L=h_I/((1+tau_c)*c_I + ( h_I -(1-delta_h)* h_I )+(1+r_b )*M )
 M_share_L=(1+r_b )*M/((1+tau_c)*c_I + ( h_I -(1-delta_h)* h_I )+(1+r_b )*M )

 c_R_share_L=(1+tau_c)*c_R/( (1+tau_c)*c_R +p_R*   h_R )
 h_R_share_L=h_R/( (1+tau_c)*c_R +p_R*   h_R )
%}
   %%%Renter 
 